﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek 4 Ch TPS 2000 (1 yr) VER RS-232 /9100+Opt250
DATE:                  2017-04-10 11:22:08
AUTHOR:                Fluke
REVISION:              $Revision: 19205 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       186
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Models covered:
#        TPS 2014, TPS 2024
#
#  Source(s):
#        TPS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1465-01
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
#          output tracking: <0.25 dB, equivalent output
#          SWR: <1.22, HP/Agilent 11667A or equivalent
#          N(f) all ports
#        N(m) to BNC(f) adapter, 3 sets
#        50 Ohm feed through terminator, 2 sets
#        50 Ohm BNC(m)-(m) cable, 10 inch long, 2 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         200MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

  1.005  MATH         @ReqMetCalVersion = "7.20x"
  1.006  CALL         Sub MET/CAL Version Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.008  DISP         or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  HEAD         REMOTE SETUP
  1.014  TARGET
  1.015  CALL         Sub Tek TPS2000 Setup RS-232
  1.016  PORT         *RST

  1.017  HEAD         UUT IDENTIFICATION
  1.018  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.019  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.020  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.021  CALL         Sub High Voltage Safety Warning

  1.022  HEAD         PRELIMINARY INSTRUCTIONS
  1.023  CALL         Sub Select Failed Test Mode
  1.024  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.025  HEAD         TEST CONDITIONS
  1.026  DISP         Ensure a minimum UUT warm-up time of at least
  1.026  DISP         10 minutes has been allowed to elapse, prior
  1.026  DISP         to beginning verification.

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  DISP         The following additional equipment and/or
  1.028  DISP         accessories are required:
  1.028  DISP
  1.028  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.028  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.028  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.028  DISP         [32] N(f) all ports
  1.028  DISP         - N(m) to BNC(f) adapter, 3 sets
  1.028  DISP         - 50 Ohm feed through terminator, 2 sets
  1.028  DISP         - 50 Ohm BNC(m)-(m) cable, 10 inch long, 2 sets

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results. For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.029  CALL         Sub Tek TPS2000 Self-Test RS-232
  1.030  JMPL         END                         @Abort

  1.031  MATH         @SPCTime = 210
  1.032  CALL         Sub Tek TPS2000 Sig Path Comp Cal RS-232
  1.033  JMPL         END                         @Abort

  1.034  MATH         @Chan = 1
  1.035  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9100+Opt250
  1.036  MATH         @Chan = 2
  1.037  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9100+Opt250
  1.038  MATH         @Chan = 3
  1.039  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9100+Opt250
  1.040  MATH         @Chan = 4
  1.041  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9100+Opt250

  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9100+Opt250
  1.044  JMPL         TRIG_CH1

  1.045  LABEL        BANDWIDTH_CH2
  1.046  MATH         @Chan = 2
  1.047  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9100+Opt250
  1.048  JMPL         TRIG_CH2

  1.049  LABEL        BANDWIDTH_CH3
  1.050  MATH         @Chan = 3
  1.051  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9100+Opt250
  1.052  JMPL         TRIG_CH3

  1.053  LABEL        BANDWIDTH_CH4
  1.054  MATH         @Chan = 4
  1.055  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9100+Opt250
  1.056  JMPL         TRIG_CH4

  1.057  LABEL        TRIG_CH1
  1.058  MATH         @Chan = 1
  1.059  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9100+Opt250
  1.060  JMPL         SAMPLE_RATE_DELAY_TIME

  1.061  LABEL        TRIG_CH2
  1.062  MATH         @Chan = 2
  1.063  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9100+Opt250
  1.064  JMPL         BANDWIDTH_CH3

  1.065  LABEL        TRIG_CH3
  1.066  MATH         @Chan = 3
  1.067  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9100+Opt250
  1.068  JMPL         BANDWIDTH_CH4

  1.069  LABEL        TRIG_CH4
  1.070  MATH         @Chan = 4
  1.071  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9100+Opt250

  1.072  MATH         @Chan = 1
  1.073  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9100+Opt250
  1.074  MATH         @Chan = 2
  1.075  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9100+Opt250
  1.076  MATH         @Chan = 3
  1.077  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9100+Opt250
  1.078  MATH         @Chan = 4
  1.079  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9100+Opt250
  1.080  JMPL         END

  1.081  LABEL        SAMPLE_RATE_DELAY_TIME
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /9100+Opt250
  1.084  JMPL         BANDWIDTH_CH2

  1.085  LABEL        END

  1.086  IF           @Abort
  1.087  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.088  ELSE
  1.089  HEAD
  1.090  ENDIF

  1.091  END
